''*****************************************************************************
''
''
''	Main Module
''	Richard Eric M. Lope
''	http://rel.phatcode.net
''
''	
''
''*****************************************************************************

#include once "FBGFX.bi"
#include once "FBGL2D7.bi"

#include once "Vector2D.bi"
#include once "Matrix2D.bi"
#include once "Polygon.bi"
#include once "Globals.bi"
#include once "Sound.bi"
#include once "Explosion.bi"

#include once "Shot.bi"
#include once "Ship.bi"
#include once "Asteroid.bi"
#include once "Engine.bi"

''*****************************************************************************
''
''
''
''*****************************************************************************
sub main()
	
	dim as Engine Game
	
	Game.Initialize()
	Game.InitEverything()
	Game.LoadSounds()
	Game.LoadImages()
	
	dim as integer Done = FALSE

	do
		Done = Game.Update()	
		
	Loop until Done
	
	Game.ShutDown()
	
End Sub


''*****************************************************************************
''
''
''
''*****************************************************************************
main()

end

