''*****************************************************************************
''
''
''	Explosion Module
''	Richard Eric M. Lope
''	http://rel.phatcode.net
''
''	
''
''*****************************************************************************

#include once "FBGFX.bi"
#include once "FBGL2D7.bi"

#include once "Vector2D.bi"
#include once "Globals.bi"

#ifndef FALSE
	const as integer FALSE = 0
	const as integer TRUE = NOT FALSE
#endif



''*****************************************************************************
''
''
''
''*****************************************************************************
namespace Explosion

enum EXPLODE_TYPE 
	TINY = 0,
	MEDIUM,
	LARGE
End Enum

extern as integer NumExplosions
	
declare sub Init( byref filename as string )
declare sub KillAll()
declare sub Spawn overload( byref Posi as Vector2D, byref Dire as Vector2D, byval ID as integer )
declare sub Spawn overload( byref Posi as Vector2D, byval ang as integer, byval ID as integer )
declare sub Spawn overload( byref Posi as Vector2D, byval NumExplosions as integer )
declare sub Spawn overload( byref Posi as Vector2D, byval Dire as Vector2D, byval spd as single, byval ID as integer )
declare sub Update( byval dt as single )
declare sub DrawAll()
declare sub Release()
	
	
	
End Namespace
